import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["color", "direction"];
import React, { memo, useContext } from 'react';
import classnames from 'classnames';
import ConfigProviderContext from '../config-provider/ConfigProviderContext';
export var PageIndicator = /*#__PURE__*/memo(function (_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'primary' : _ref$color,
      _ref$direction = _ref.direction,
      direction = _ref$direction === void 0 ? 'horizontal' : _ref$direction,
      props = _objectWithoutProperties(_ref, _excluded);

  var _useContext = useContext(ConfigProviderContext),
      prefixCls = _useContext.prefixCls,
      createNamespace = _useContext.createNamespace;

  var _createNamespace = createNamespace('indicator', prefixCls),
      _createNamespace2 = _slicedToArray(_createNamespace, 1),
      bem = _createNamespace2[0];

  var isVertical = direction === 'vertical';
  var dots = []; // eslint-disable-next-line no-plusplus

  for (var i = 0; i < props.total; i++) {
    dots.push( /*#__PURE__*/React.createElement("div", {
      key: i,
      className: classnames(bem('dot', {
        active: props.current === i
      }))
    }));
  }

  return /*#__PURE__*/React.createElement("div", {
    className: classnames(props.className, bem({
      vertical: isVertical
    })),
    style: props.style
  }, dots);
});